Package oracle.dbtools.plugin.api.json

## Interface JSONStreams

-     public interface JSONStreams

  Service for generating readable and writable JSON streams from character streams.
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `inputStream​(java.util.Iterator<JSONToken> reader)` | Produce an `InputStream` on the fly from the specified `JSONToken` event stream
    `JSONReader` | `jsonReader​(java.io.InputStream stream)` | Wrap the specified byte stream in a `JSONReader` instance
    `JSONReader` | `jsonReader​(java.lang.CharSequence text)` | Wrap the specified character sequence in a `JSONReader` instance
    `JSONReader` | `jsonReader​(java.lang.Readable stream)` | Wrap the specified character stream in a `JSONReader` instance
    `JSONWriter` | `jsonWriter​(java.io.OutputStream stream)` | Wrap the specified byte stream in a `JSONWriter` instance.
    `JSONWriter` | `jsonWriter​(java.lang.Appendable stream)` | Wrap the specified character stream in a `JSONWriter` instance.

- - ### Method Detail

    - #### inputStream

          java.io.InputStream inputStream​(java.util.Iterator<JSONToken> reader)

      Produce an `InputStream` on the fly from the specified `JSONToken` event stream
      Parameters:
        `reader` - The `JSONToken` event stream to serialize
      Returns:
        `InputStream` containing the serialized representation of the input `JSONReader` stream

    - #### jsonWriter

          JSONWriter jsonWriter​(java.io.OutputStream stream)

      Wrap the specified byte stream in a `JSONWriter` instance.
      Parameters:
        `stream` - The byte stream to write JSON to
      Returns:
        `JSONWriter` instance

    - #### jsonWriter

          JSONWriter jsonWriter​(java.lang.Appendable stream)

      Wrap the specified character stream in a `JSONWriter` instance.
      Parameters:
        `stream` - The character stream to write JSON to
      Returns:
        `JSONWriter` instance

    - #### jsonReader

          JSONReader jsonReader​(java.lang.Readable stream)

      Wrap the specified character stream in a `JSONReader` instance
      Parameters:
        `stream` - The character stream to read the JSON content from.
      Returns:
        `JSONReader` instance

    - #### jsonReader

          JSONReader jsonReader​(java.lang.CharSequence text)

      Wrap the specified character sequence in a `JSONReader` instance
      Parameters:
        `text` - The `CharSequence` to read the JSON content from.
      Returns:
        `JSONReader` instance

    - #### jsonReader

          JSONReader jsonReader​(java.io.InputStream stream)

      Wrap the specified byte stream in a `JSONReader` instance
      Parameters:
        `stream` - The byte stream to read the JSON content from.
      Returns:
        `JSONReader` instance